<html>
<head>
<title>OgrePageContentCollection.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_b4dabe1aeee1fabc669d37783945a897.html">Paging</a>      </li>
      <li class="navelem"><a class="el" href="dir_c90181f353a19ac84e93eaccff6d8392.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgrePageContentCollection.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgrePageContentCollection_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Ogre_PageContentCollection_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Ogre_PageContentCollection_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePagingPrerequisites_8h.html">OgrePagingPrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre
<a name="l00036"></a>00036 {
<a name="l00055"></a><a class="code" href="classOgre_1_1PageContentCollection.html">00055</a>     <span class="keyword">class </span><a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">PageAlloc</a>
<a name="l00056"></a>00056     {
<a name="l00057"></a>00057     <span class="keyword">protected</span>:
<a name="l00058"></a><a class="code" href="classOgre_1_1PageContentCollection.html#ae06889d26c130b5cb7f349a8ff85bebd">00058</a>         <a class="code" href="classOgre_1_1PageContentCollectionFactory.html" title="Define the interface to a factory class that will create subclasses of PageContentCollection.">PageContentCollectionFactory</a>* <a class="code" href="classOgre_1_1PageContentCollection.html#ae06889d26c130b5cb7f349a8ff85bebd">mCreator</a>;
<a name="l00059"></a><a class="code" href="classOgre_1_1PageContentCollection.html#ad58d577f86370140bc63bdfb1e934682">00059</a>         <a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* <a class="code" href="classOgre_1_1PageContentCollection.html#ad58d577f86370140bc63bdfb1e934682">mParent</a>;
<a name="l00060"></a>00060     <span class="keyword">public</span>:
<a name="l00061"></a><a class="code" href="classOgre_1_1PageContentCollection.html#aa73e82a2444f6105c6e61ef83d18292d">00061</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1PageContentCollection.html#aa73e82a2444f6105c6e61ef83d18292d">CHUNK_ID</a>;
<a name="l00062"></a><a class="code" href="classOgre_1_1PageContentCollection.html#a25aebf4e31d562701d2c7640e1056121">00062</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1PageContentCollection.html#a25aebf4e31d562701d2c7640e1056121">CHUNK_VERSION</a>;
<a name="l00063"></a>00063 
<a name="l00064"></a>00064         <a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>(<a class="code" href="classOgre_1_1PageContentCollectionFactory.html" title="Define the interface to a factory class that will create subclasses of PageContentCollection.">PageContentCollectionFactory</a>* creator);
<a name="l00065"></a>00065         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>();
<a name="l00066"></a>00066 
<a name="l00067"></a>00067         <a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>* getManager() <span class="keyword">const</span>;
<a name="l00068"></a><a class="code" href="classOgre_1_1PageContentCollection.html#ac70a74bb8c37795b289d51ffda4abac5">00068</a>         <a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* <a class="code" href="classOgre_1_1PageContentCollection.html#ac70a74bb8c37795b289d51ffda4abac5">getParentPage</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mParent; }
<a name="l00069"></a>00069         <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* getSceneManager() <span class="keyword">const</span>;
<a name="l00070"></a>00070 
<a name="l00072"></a>00072         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getType() <span class="keyword">const</span>;
<a name="l00073"></a>00073 
<a name="l00075"></a>00075         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _notifyAttached(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* parent);
<a name="l00077"></a>00077         <span class="keyword">virtual</span> <span class="keywordtype">void</span> save(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream) = 0;
<a name="l00079"></a>00079         <span class="keyword">virtual</span> <span class="keywordtype">void</span> frameStart(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeSinceLastFrame) = 0;
<a name="l00081"></a>00081         <span class="keyword">virtual</span> <span class="keywordtype">void</span> frameEnd(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed) = 0;
<a name="l00083"></a>00083         <span class="keyword">virtual</span> <span class="keywordtype">void</span> notifyCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam) = 0;
<a name="l00084"></a>00084 
<a name="l00085"></a>00085 
<a name="l00087"></a>00087         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> prepare(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; ser) = 0;
<a name="l00089"></a>00089         <span class="keyword">virtual</span> <span class="keywordtype">void</span> load() = 0;
<a name="l00091"></a>00091         <span class="keyword">virtual</span> <span class="keywordtype">void</span> unload() = 0;
<a name="l00093"></a>00093         <span class="keyword">virtual</span> <span class="keywordtype">void</span> unprepare() = 0;
<a name="l00094"></a>00094 
<a name="l00095"></a>00095 
<a name="l00096"></a>00096     };
<a name="l00097"></a>00097 
<a name="l00098"></a>00098 
<a name="l00101"></a>00101 }
<a name="l00102"></a>00102 
<a name="l00103"></a>00103 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
